tut::util Namespace Reference

## Functions

std::string | escape (const std::string &orig)
| Escapes non-alphabetical characters in string. More...
std::string | unescape (const std::string &orig)
| Un-escapes string. More...
void | serialize (std::ostream &os, const tut::test_result &tr)
| Serialize test_result avoiding interfering with operator <<. More...
void | deserialize (std::istream &is, tut::test_result &tr)
| deserialization for test_result More...

## Function Documentation

void tut::util::deserialize | ( | std::istream & | is,
|  | tut::test_result & | tr
| ) |  |

deserialization for test_result

References tut::test_result::ex, tut::test_result::fail, tut::test_result::group, tut::test_result::message, tut::test_result::ok, tut::test_result::result, tut::test_result::term, tut::test_result::test, unescape(), and tut::test_result::warn.

std::string tut::util::escape | ( | const std::string & | orig | ) |

Escapes non-alphabetical characters in string.

Referenced by serialize().

void tut::util::serialize | ( | std::ostream & | os,
|  | const tut::test_result & | tr
| ) |  |

Serialize test_result avoiding interfering with operator <<.

References escape(), tut::test_result::ex, tut::test_result::fail, tut::test_result::group, tut::test_result::message, tut::test_result::ok, tut::test_result::result, tut::test_result::term, tut::test_result::test, and tut::test_result::warn.

std::string tut::util::unescape | ( | const std::string & | orig | ) |

Un-escapes string.

Referenced by deserialize().